package daruma.client.schemaeditor;

import org.eclipse.core.runtime.IPlatformRunnable;
import org.eclipse.swt.widgets.Display;
import org.eclipse.ui.PlatformUI;

/**
 * This class controls all aspects of the application's execution
 */
public class Application implements IPlatformRunnable {
	/**
	 * 
	 */
	public static String firstFile;
	
	/* (non-Javadoc)
	 * @see org.eclipse.core.runtime.IPlatformRunnable#run(java.lang.Object)
	 */
	public Object run(Object args) throws Exception {
		Display display = PlatformUI.createDisplay();
		try {
			Object[] argsArray = (Object[])args;
			if(argsArray.length > 0)
			{
				if(((String)argsArray[0]).equals("-pdelaunch"))
				{
					if(argsArray.length > 1)firstFile = (String)argsArray[1];
				}
				else
					firstFile = (String)argsArray[0];
			}
			
			int returnCode = PlatformUI.createAndRunWorkbench(display, new ApplicationWorkbenchAdvisor());
			if (returnCode == PlatformUI.RETURN_RESTART) {
				return IPlatformRunnable.EXIT_RESTART;
			}
			return IPlatformRunnable.EXIT_OK;
		} finally {
			display.dispose();
		}
	}
}
