@echo off

set DARUMA_HOME=%~d0%~p0
set HOSTNAME=%2
set TESTDIR=%DARUMA_HOME:\=/%/work/samples/DaRuMaTest
set DEBUG=
set SILENT=no
set JAPANESE_TEST=no
set CONSOLE_CHARSET=Shift_JIS
set MITSUKE_DIR=E:\var\DARUMA\TestData\mitsuke

IF %2.==. set HOSTNAME=localhost
IF %3. == silent. set SILENT=yes

IF %1.==. GOTO NOPARAM
IF %1 == DaRuMaTest GOTO DaRuMaTest
IF %1 == Multi GOTO Multi
IF %1 == Multi2 GOTO Multi2
IF %1 == Building GOTO Building
IF %1 == LinkFlow GOTO LinkFlow
IF %1 == LinkFlowNoAttr GOTO LinkFlowNoAttr
IF %1 == ParamicsNode GOTO ParamicsNode
IF %1 == Travel GOTO Travel
IF %1 == MitsukeAll GOTO MitsukeAll
IF %1 == MitsukeRegister GOTO MitsukeRegister
IF %1 == MitsukeInsert GOTO MitsukeInsert
IF %1 == MitsukeCount GOTO MitsukeCount
IF %1 == MitsukeXmlGet GOTO MitsukeXmlGet
IF %1 == MitsukeXmlInsert GOTO MitsukeXmlInsert
IF %1 == MitsukeCsvGet GOTO MitsukeCsvGet
IF %1 == MitsukeCsvInsert GOTO MitsukeCsvInsert
IF %1 == DUMMY GOTO DUMMY


:NOPARAM
echo gp@Fcreate_test_data  [Feature]
echo LFeaturegpł܂:
echo     DaRuMaTest:DaRuMaNCAgeXgpFeature
echo     Multi:maxOccurseXgpFeature
echo     Multi2:maxOccurseXgpFeature
echo     Building:RandomCity Feature
echo     LinkFlowFNt[Feature
echo     LinkFlowNoAttrFNt[FeatureiȂj
echo     ParamicsNodeFm[hFeatureiparamicsj
echo     TravelFgxFeature
echo     DUMMYFDUMMYFeature

GOTO END

:DaRuMaTest
set TESTFEATURE=DaRuMaTest
set TESTPREFIX=DaRuMaTest
set TESTTNS=http://www.netconscious.jp/DaRuMaSchema
set JAPANESE_TEST=yes
cmd /C "%DARUMA_HOME:\=/%/Csv2Schema -in %TESTDIR%/DaRuMaTestSubType3.dfs -out %TESTDIR%/DaRuMaTestSubType3.xsd"
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType %DEBUG% -host %HOSTNAME% -in %TESTDIR%/DaRuMaTestSubType3.xsd"
GOTO START

:Multi
set TESTFEATURE=Multi
set TESTPREFIX=Multi
set TESTTNS=http://www.netconscious.jp/DaRuMaSchema
GOTO START

:Multi2
set TESTFEATURE=Multi2
set TESTPREFIX=Multi2
set TESTTNS=http://www.netconscious.jp/DaRuMaSchema
GOTO START

:Building
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/common_register.xml"
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/node_register.xml"
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/roadlink_register.xml"
set TESTFEATURE=Building
set TESTPREFIX=building
set TESTTNS=http://staff.aist.go.jp/i.noda/Rescue/RandomCity/2.0
GOTO START

:LinkFlow
set TESTFEATURE=LinkFlow
set TESTPREFIX=linkFlow
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:LinkFlowNoAttr
set TESTFEATURE=LinkFlowNoAttr
set TESTPREFIX=linkFlow-noattr
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:ParamicsNode
set TESTFEATURE=ParamicsNode
set TESTPREFIX=paramicsnode
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:Travel
set TESTFEATURE=Travel
set TESTPREFIX=travel
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:DUMMY
set TESTFEATURE=DUMMY
set TESTPREFIX=dummy
set TESTTNS=http://www.dummy.jp/
GOTO START

:MitsukeAll
REM cmd /C "%DARUMA_HOME:\=/%/create_test_data MitsukeRegister"
REM cmd /C "%DARUMA_HOME:\=/%/create_test_data MitsukeInsert"
cmd /C "%DARUMA_HOME:\=/%/create_test_data MitsukeCount"
cmd /C "%DARUMA_HOME:\=/%/create_test_data MitsukeXmlGet"
cmd /C "%DARUMA_HOME:\=/%/create_test_data MitsukeCsvGet"
GOTO END

:MitsukeRegister
echo Boundary_of_Aza_and_ChomẽXL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Boundary_of_Aza_and_Chome.xsd"
echo Boundary_of_MunicipalitỹXL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Boundary_of_Municipality.xsd"
echo Centroid_of_Building̃XL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Centroid_of_Building.xsd"
echo Link_of_Road_Network̃XL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Link_of_Road_Network.xsd"
echo ShelterInfõXL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/.\Mitsuke_Hinanjo_Shisetu.xsd"
echo Node_of_Road_Network̃XL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Node_of_Road_Network.xsd"
echo Shape_of_Building̃XL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Shape_of_Building.xsd"
echo Shelter̃XL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Shelter.xsd"
echo Specified_FeaturẽXL[}o^܂
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType -host %HOSTNAME% -in %MITSUKE_DIR%/data/Specified_Feature.xsd
GOTO END

:MitsukeInsert
echo Boundary_of_Aza_and_Chomẽf[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Boundary_of_Aza_and_Chome.Insert.misp"
echo Boundary_of_Municipalitỹf[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Boundary_of_Municipality.Insert.misp"
echo Centroid_of_Building̃f[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Centroid_of_Building.Insert.misp"
echo Link_of_Road_Network̃f[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Link_of_Road_Network.Insert.misp"
echo ShelterInfõf[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Mitsuke_Hinanjo_Shisetu.Insert.misp"
echo Node_of_Road_Network̃f[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Node_of_Road_Network.Insert.misp"
echo Shape_of_Building̃f[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Shape_of_Building.Insert.misp"
echo Shelter̃f[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Shelter.Insert.misp"
echo Specified_Featurẽf[^ǉ܂
cmd /C "%DARUMA_HOME:\=/%\DarumaClient -host %HOSTNAME% -notaddheader -in %MITSUKE_DIR%/data/Specified_Feature.Insert.misp"
GOTO END

:MitsukeCount
echo Boundary_of_Aza_and_ChomẽJEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Aza_and_Chome"
echo Boundary_of_MunicipalitỹJEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Municipality"
echo Centroid_of_Building̃JEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Centroid_of_Building"
echo Link_of_Road_Network̃JEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Link_of_Road_Network"
echo ShelterInfõJEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {http://staff.aist.go.jp/hiroki.matsui/backborndata/mitsuke/v2.0}ShelterInfo"
echo Node_of_Road_Network̃JEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Node_of_Road_Network"
echo Shape_of_Building̃JEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shape_of_Building"
echo Shelter̃JEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shelter"
echo Specified_FeaturẽJEg擾܂
cmd /C "%DARUMA_HOME:\=/%\CountFeatureType -host %HOSTNAME% {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Specified_Feature"
GOTO END

:MitsukeXmlGet
echo Boundary_of_Aza_and_Chomẽf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Aza_and_Chome" -out %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-data.xml
echo Boundary_of_Municipalitỹf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Municipality" -out %MITSUKE_DIR%/other/Boundary_of_Municipality-data.xml
echo Centroid_of_Building̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Centroid_of_Building" -out %MITSUKE_DIR%/other/Centroid_of_Building-data.xml
echo Link_of_Road_Network̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Link_of_Road_Network" -out %MITSUKE_DIR%/other/Link_of_Road_Network-data.xml
echo ShelterInfõf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {http://staff.aist.go.jp/hiroki.matsui/backborndata/mitsuke/v2.0}ShelterInfo" -out %MITSUKE_DIR%/other/ShelterInfo-data.xml
echo Node_of_Road_Network̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Node_of_Road_Network" -out %MITSUKE_DIR%/other/Node_of_Road_Network-data.xml
echo Shape_of_Building̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shape_of_Building" -out %MITSUKE_DIR%/other/Shape_of_Building-data.xml
echo Shelter̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shelter" -out %MITSUKE_DIR%/other/Shelter-data.xml
echo Specified_Featurẽf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\XmlGetFeature -host %HOSTNAME% -featureCollection -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Specified_Feature" -out %MITSUKE_DIR%/other/Specified_Feature-data.xml
GOTO END

:MitsukeXmlInsert
echo Boundary_of_Aza_and_Chomẽf[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-data.xml
echo Boundary_of_Municipalitỹf[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Boundary_of_Municipality-data.xml
echo Centroid_of_Building̃f[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Centroid_of_Building-data.xml
echo Link_of_Road_Network̃f[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Link_of_Road_Network-data.xml
echo ShelterInfõf[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/ShelterInfo-data.xml
echo Node_of_Road_Network̃f[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Node_of_Road_Network-data.xml
echo Shape_of_Building̃f[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Shape_of_Building-data.xml
echo Shelter̃f[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Shelter-data.xml
echo Specified_Featurẽf[^XML`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\XmlInsert -host %HOSTNAME% -in %MITSUKE_DIR%/other/Specified_Feature-data.xml
GOTO END

:MitsukeCsvGet
echo Boundary_of_Aza_and_Chomẽf[^CSV`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-csv2xml.xml -in %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-data.csv
echo Boundary_of_Municipalitỹf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Boundary_of_Municipality-csv2xml.xml -in %MITSUKE_DIR%/other/Boundary_of_Municipality-data.csv
echo Centroid_of_Building̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Centroid_of_Building-csv2xml.xml -in %MITSUKE_DIR%/other/Centroid_of_Building-data.csv
echo Link_of_Road_Network̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Link_of_Road_Network-csv2xml.xml -in %MITSUKE_DIR%/other/Link_of_Road_Network-data.csv
echo ShelterInfõf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/ShelterInfo-csv2xml.xml -in %MITSUKE_DIR%/other/ShelterInfo-data.csv
echo Node_of_Road_Network̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Node_of_Road_Network-csv2xml.xml -in %MITSUKE_DIR%/other/Node_of_Road_Network-data.csv
echo Shape_of_Building̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Shape_of_Building-csv2xml.xml -in %MITSUKE_DIR%/other/Shape_of_Building-data.csv
echo Shelter̃f[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Shelter-csv2xml.xml -in %MITSUKE_DIR%/other/Shelter-data.csv
echo Specified_Featurẽf[^XML`Ŏ擾܂
cmd /C "%DARUMA_HOME:\=/%\CsvGetFeature -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Specified_Feature-csv2xml.xml -in %MITSUKE_DIR%/other/Specified_Feature-data.csv
GOTO END

:MitsukeCsvInsert
echo Boundary_of_Aza_and_Chomẽf[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Aza_and_Chome" -out %MITSUKE_DIR%/other/Boundary_of_Aza_and_Chome-data.xml
echo Boundary_of_Municipalitỹf[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Boundary_of_Municipality-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Boundary_of_Municipality" -out %MITSUKE_DIR%/other/Boundary_of_Municipality-data.xml
echo Centroid_of_Building̃f[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Centroid_of_Building-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Centroid_of_Building" -out %MITSUKE_DIR%/other/Centroid_of_Building-data.xml
echo Link_of_Road_Network̃f[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Link_of_Road_Network-csv2xml.xml -checkFeature {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Link_of_Road_Network" -out %MITSUKE_DIR%/other/Link_of_Road_Network-data.xml
echo ShelterInfõf[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/ShelterInfo-csv2xml.xml -checkFeature {http://staff.aist.go.jp/hiroki.matsui/backborndata/mitsuke/v2.0}ShelterInfo" -out %MITSUKE_DIR%/other/ShelterInfo-data.xml
echo Node_of_Road_Network̃f[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Node_of_Road_Network-csv2xml.xml -checkFeature {http://staff.aist.go.jp/hiroki.matsui/roadnetwork/mitsuke/v2.0}Node_of_Road_Network" -out %MITSUKE_DIR%/other/Node_of_Road_Network-data.xml
echo Shape_of_Building̃f[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Shape_of_Building-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shape_of_Building" -out %MITSUKE_DIR%/other/Shape_of_Building-data.xml
echo Shelter̃f[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Shelter-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Shelter" -out %MITSUKE_DIR%/other/Shelter-data.xml
echo Specified_Featurẽf[^CSV`Œǉ܂
cmd /C "%DARUMA_HOME:\=/%\CsvInsert -host %HOSTNAME% -csvcfg %MITSUKE_DIR%/other/Specified_Feature-csv2xml.xml -checkFeature {tag:h-yokota$staff.aist.go.jp$mitsuke$v2.0}Specified_Feature" -out %MITSUKE_DIR%/other/Specified_Feature-data.xml
GOTO END


:START
echo FeatureType [%TESTFEATURE%] ̃eXgJn...
echo ^[QbgO:%TESTTNS%
echo MispT[o[:%HOSTNAME%

echo DFSXL[}XSDXL[}...
cmd /C "%DARUMA_HOME:\=/%/Csv2Schema -in %TESTDIR%/%TESTPREFIX%.dfs -out %TESTDIR%/%TESTPREFIX%.xsd"
IF %SILENT% == no pause

echo Featureo^܂...
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%.xsd"
IF %SILENT% == no pause

echo o^ꂽFeature񋓂܂...
cmd /C "%DARUMA_HOME:\=/%/ShowFeatureTypes %DEBUG% -host %HOSTNAME%"
IF %SILENT% == no pause

echo o^ꂽFeaturẽXL[}\܂...
cmd /C "%DARUMA_HOME:\=/%/DescribeFeatureType %DEBUG% -host %HOSTNAME% -encode %CONSOLE_CHARSET% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo o^ꂽFeaturẽXL[}xpath`ŕ\܂...
cmd /C "%DARUMA_HOME:\=/%/DescribeFeatureType -xpath %DEBUG% -host %HOSTNAME% -encode %CONSOLE_CHARSET% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo FeatureCSVeXgf[^o^܂...
cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data.csv" -attatchDir %TESTDIR%
if %JAPANESE_TEST% == yes echo FeatureCSVeXgf[^(Shift_JIS)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -encode Shift_JIS -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data-sjis.csv" -attatchDir %TESTDIR%
if %JAPANESE_TEST% == yes echo FeatureCSVeXgf[^(EUC-JP)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -encode EUC-JP -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data-eucjp.csv" -attatchDir %TESTDIR%
IF %SILENT% == no pause

echo FeatureXMLeXgf[^o^܂...
cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data.xml"
if %JAPANESE_TEST% == yes echo FeatureXMLeXgf[^(Shift_JIS)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data-sjis.xml"
if %JAPANESE_TEST% == yes echo FeatureXMLeXgf[^(EUC-JP)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data-eucjp.xml"
IF %SILENT% == no pause


echo Featurẽf[^JEg擾܂...
cmd /C "%DARUMA_HOME:\=/%/CountFeatureType %DEBUG% -host %HOSTNAME% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo Featurẽf[^擾܂...
cmd /C "%DARUMA_HOME:\=/%/XmlGetFeature %DEBUG% -host %HOSTNAME% -encode %CONSOLE_CHARSET% -checkFeature {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo Featurẽf[^擾 CSV`ŕ\܂...
cmd /C "%DARUMA_HOME:\=/%/CsvGetFeature %DEBUG% -host %HOSTNAME% -encode %CONSOLE_CHARSET% -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -checkFeature {%TESTTNS%}%TESTFEATURE% " -attatchDir work/attatch
IF %SILENT% == no pause

REM echo Featurëꕔf[^擾܂  CSV`ŕ\...
REM cmd /C "%DARUMA_HOME:\=/%/CsvGetFeature %DEBUG% -host %HOSTNAME% -encode %CONSOLE_CHARSET% -in %TESTDIR%/%TESTPREFIX%-getfeature.xml -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml"
REM IF %SILENT% == no pause

echo FeatureType [%TESTFEATURE%] ̃eXgI...

:END


