/* */
import java.io.*;

/**
 * ʸѴ ƥɸʸɤ utf-8 Ѵ롣
 * ƥɸʸɤϥƥץѥƥ file.encoding ǻꤵ
 * Ƥ롣
 *
 * ϤɸϤޥɥ饤ǻꤷե̾ʸѴ
 * ɸϤ˽񤭽Ф
 *
 * @author YOKOTA Hiroshi
 */

public class NativeToUtf8 {

	/**
	 * ɸϤɤ߹
	 */
	private static void stdin_out() {
		BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
		PrintWriter out;

		try {
			out = new PrintWriter(new OutputStreamWriter(System.out, "utf-8"));
		} catch(UnsupportedEncodingException uee) {
			throw new RuntimeException("Unsupported Encoding");
		}

		try {
			String line;
			while((line = in.readLine()) != null) {
				out.println(line);
				out.flush();
			}
		} catch (IOException e) {
			throw new RuntimeException("I/O error");
		}
	}

	/**
	 * ޥɥ饤ǻꤷե뤫ɤ߹
	 *
	 * @param files ե̾
	 */
	private static void file_out(String files[]) {
		PrintWriter out;

		try {
			out = new PrintWriter(new OutputStreamWriter(System.out, "utf-8"));
		} catch(UnsupportedEncodingException uee) {
			throw new RuntimeException("Unsupported Encoding");
		}

		for(String i: files) {
			BufferedReader in;

			try {
				in = new BufferedReader(new FileReader(i));
			} catch(FileNotFoundException e) {
				throw new RuntimeException("file not found");
			}

			try {
				String line;
				while((line = in.readLine()) != null) {
					out.println(line);
				}
			} catch (IOException e) {
				throw new RuntimeException("I/O error");
			}
		}
		out.flush();
	}


	static public void main(String args[]) {
		if (args.length == 0) {
			stdin_out();
		} else {
			file_out(args);
		}
	}
}

/* end */
