[Setup]
AppName=DaRuMaClient
AppVerName=DaRuMaClient 1.0.0
AppPublisher="Itsuki Noda, National Institute of Advanced Industrial Science and Technology, Japan Hiroki Shimora, National Research Institute for Earth Sceience and Disaster Prevention, Japan"
AppCopyright=Copyright (C) Itsuki Noda (AIST) 2004, 2005, Itsuki Noda (AIST), Hiroki Shimora (NIED) 2006,2007
;AppPublisherURL=http://staff.aist.go.jp/i.noda/Rescue
AppSupportURL=http://staff.aist.go.jp/i.noda/Rescue
;AppUpdatesURL=http://staff.aist.go.jp/i.noda/Rescue
OutputBaseFilename=SetupDarumaClient
Compression=lzma
SolidCompression=yes

DisableDirPage=yes
DisableProgramGroupPage=yes

#include "setupsection.iss.inc"

[Languages]
Name: "japanese"; MessagesFile: "compiler:Languages\Japanese.isl"
;Name: "english"; MessagesFile: "compiler:Default.isl"


[Files]
;-- ex.aist.daruma.client 
Source: "clientTools\ex.aist.daruma.client\release\*"; DestDir: "{app}\ex.aist.daruma.client"; Flags: ignoreversion recursesubdirs createallsubdirs; Excludes: ".svn\*"

;-- darumaviewer
Source: "clientTools\aist.daruma.client.darumaviewer\release\darumaviewer\darumaviewer\*"; DestDir: "{app}\darumaviewer"; Flags: ignoreversion recursesubdirs createallsubdirs; Excludes: ".svn\*"

;-- schemaeditor
Source: "clientTools\aist.daruma.client.schemaeditor\release\schemaeditor\schemaeditor\*"; DestDir: "{app}\schemaeditor"; Flags: ignoreversion recursesubdirs createallsubdirs; Excludes: ".svn\*"

;-- darumaEarth
Source: "darumaEarth\release\*"; DestDir: "{app}\darumaEarth"; Flags: ignoreversion recursesubdirs createallsubdirs; Excludes: ".svn\*"

;-- darumaDump
Source: "clientTools\darumaDump\bin\*"; DestDir: "{app}\darumaDump\bin"; Flags: ignoreversion recursesubdirs createallsubdirs; Excludes: ".svn\*"
Source: "clientTools\darumaDump\darumaDump"; DestDir: "{app}\darumaDump"; Flags: ignoreversion 

[Icons]
;-- ex.aist.daruma.client
Name: "{group}\ex.aist.daruma.client\DaRuMaClientvvg"; FileName: "{sys}\cmd.exe"; WorkingDir: "{app}\ex.aist.daruma.client"
Name: "{group}\ex.aist.daruma.client\CountFeatureType.cmd"; FileName: "{app}\ex.aist.daruma.client\CountFeatureType.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"
Name: "{group}\ex.aist.daruma.client\create_sample_data.cmd"; FileName: "{app}\ex.aist.daruma.client\create_sample_data.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\create_test_data.cmd"; FileName: "{app}\ex.aist.daruma.client\create_test_data.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\create_test_data_all.cmd"; FileName: "{app}\ex.aist.daruma.client\create_test_data_all.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\Csv2Schema.cmd"; FileName: "{app}\ex.aist.daruma.client\Csv2Schema.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\CsvGetFeature.cmd"; FileName: "{app}\ex.aist.daruma.client\CsvGetFeature.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\CsvInsert.cmd"; FileName: "{app}\ex.aist.daruma.clientCsvInsert.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\DarumaClient.cmd"; FileName: "{app}\ex.aist.daruma.client\DarumaClient.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\DescribeFeatureType.cmd"; FileName: "{app}\ex.aist.daruma.client\DescribeFeatureType.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\MaintainFeatureType.cmd"; FileName: "{app}\ex.aist.daruma.client\MaintainFeatureType.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\RegisterFeatureType.cmd"; FileName: "{app}\ex.aist.daruma.client\RegisterFeatureType.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\ShowFeatureTypes.cmd"; FileName: "{app}\ex.aist.daruma.client\ShowFeatureTypes.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\XmlGetFeature.cmd"; FileName: "{app}\ex.aist.daruma.client\XmlGetFeature.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\XmlInsert.cmd"; FileName: "{app}\ex.aist.daruma.client\XmlInsert.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\Xsd2Dfs.cmd"; FileName: "{app}\ex.aist.daruma.client\Xsd2Dfs.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 
Name: "{group}\ex.aist.daruma.client\XslTrans.cmd"; FileName: "{app}\ex.aist.daruma.client\XslTrans.cmd"; WorkingDir: "{app}\ex.aist.daruma.client"; 

;-- darumaviewer
Name: "{group}\darumaviewer"; FileName: "{app}\darumaviewer\darumaviewer.exe"; WorkingDir: "{app}\darumaviewer";
;-- schemaeditor
Name: "{group}\schemaeditor"; FileName: "{app}\schemaeditor\schemaeditor.exe"; WorkingDir: "{app}\schemaeditor";
;-- darumaEarth
Name: "{group}\darumaEarthvvg"; FileName: "{sys}\cmd.exe"; WorkingDir: "{app}\darumaEarth";
Name: "{group}\darumaEarth"; FileName: "{app}\darumaEarth\darumaEarth.cmd"; WorkingDir: "{app}\darumaEarth";
;-- darumaDump
Name: "{group}\darumaDumpvvg"; FileName: "{sys}\cmd.exe"; WorkingDir: "{app}\darumaDump";
Name: "{group}\darumaDump"; FileName: "{app}\darumaDump\darumaDump"; WorkingDir: "{app}\darumaDump";
