#!/usr/bin/perl
#
# Rename CSV files
#

use strict;
use warnings;

###########################################################################
open(FD, "<", "bin/csv-swap-map.txt") || die;

while(my $l = <FD>) {
    chomp($l);

    next if($l =~ /^\#/);
    next if($l =~ /^$/);

    (my $old, my $new) =  split(" ", $l);


    my $o = sprintf("%s.%s", $old, "csv");
    my $n = sprintf("%s.%s", $new, "csv");

    rename($o, $n);
}

close(FD);

# end
