#!/usr/bin/perl
#
# Rename Shape file name
#

use strict;
use warnings;

###########################################################################
open(FD, "<", "bin/layer-swap-map.txt") || die;

while(my $l = <FD>) {
    chomp($l);

    next if($l =~ /^\#/);
    next if($l =~ /^$/);

    (my $old, my $new) =  split(" ", $l);


    foreach my $e ("shp", "shx", "dbf") {
	my $o = sprintf("%s.%s", $old, $e);
	my $n = sprintf("%s.%s", $new, $e);

	rename($o, $n);
    }
}

close(FD);

# end
