package daruma.client.schemaeditor;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import daruma.client.schemaeditor.ui.views.SchemaEditorView;

/**
 * パースペクティブを定義するクラス
 * 
 * @author shumi
 * 
 */
public class Perspective implements IPerspectiveFactory {
	public static IFolderLayout topFolder;

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.setFixed(true);

		if (false) {
			topFolder = layout.createFolder("top", IPageLayout.LEFT, (float) 1.0f, editorArea); 
			topFolder.addView(SchemaEditorView.ID);
		} else {
			layout.addStandaloneView(SchemaEditorView.ID, false,
					IPageLayout.LEFT, 1.0f, editorArea);
		}
	}
}
