package daruma.client.schemaeditor.ui.actions;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.eclipse.jface.action.Action;
import daruma.client.schemaeditor.ui.views.SchemaEditorView;
import daruma.client.schemaeditor.ui.views.SwtUtil;

/**
 * CSVXファイル新規作成アクション
 */
public class CsvxNewAction {
	protected static Logger logger = LogManager.getLogger(CsvxNewAction.class
			.getClass());

	/**
	 * CSVXファイル新規作成アクションを生成する
	 */
	public static Action makeAction() {
		return new Action() {
			/**
			 * (non-Javadoc)
			 * @see org.eclipse.jface.action.Action#run()
			 */
			public void run() {
				SchemaEditorView view = (SchemaEditorView) SwtUtil
						.findView(SchemaEditorView.ID);
				if (view != null) {
					logger.info("CSVX File new");
					view.openCsvxFile("");
				}
			}
		};
	}
}