package application.runtime;

public class StandardApplication extends Application {

    protected int onStart(String[] parameters) {
    	return 0;
    }

    protected void onFinalize() {
        BasisRuntime.closeContext();
    }

    protected void onShutdown() {
        BasisRuntime.closeContext();
    }

    /**
     * アプリケーションの初期化 システムコンテキストを初期化する。
     * 
     * @return 初期化が成功した場合は、true、失敗した場合は falseを返す。
     */
    protected boolean onInitilaize() {

        return BasisRuntime.openContext(true, true, true);

    }
}
