package application.util.monitor;

public interface ChangeMonitor {

    public static final int CM_CREATED = 1;
    public static final int CM_MODIFIED = 2;
    public static final int CM_DELETED = 4;
    public static final int CM_MOVED = 8;
    public static final int CM_SELECTED = 16;
    public static final int CM_UNSELECTED = 32;
    
    public void addChangeMonitorListener(ChangeMonitorListener listener);
    public void fireChanged(int eventType,Object object);
}
