package daruma.test;

import junit.framework.TestCase;
import application.runtime.BasisRuntime;
import application.startup.EnvironmentConfigurator;
import application.startup.SystemProps;
import daruma.main.DarumaClient;

public class TestSample extends TestCase {

    BasisRuntime basis;
    
    protected void setUp() throws Exception {
        //System.setProperty(SystemProps.PROPS_SYS_JAVA_HOME,"r:/usr/jdk1.5.0_02");
        System.setProperty(SystemProps.PROPS_APPLICATION_HOME,".");
        System.setProperty(SystemProps.PROPS_SYSTEM_PROPERTIES_XML,"./etc/xmlinsert/system.properties.xml");
        EnvironmentConfigurator.initialize(true);
        //EnvironmentConfigurator.initialize("./etc/xmlinsert/system.properties.xml");
        BasisRuntime.openContext(true,false,false);
    }

    protected void tearDown() throws Exception {
        BasisRuntime.closeContext();
    }

    
    public void testBasisRuntime() {
        
        String[] parameters = new String[]{};
        DarumaClient client = new DarumaClient();
        client.execute(parameters);
    }
    
}
