/* */

import java.util.ArrayList;
import java.util.Arrays;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.FileNotFoundException;

/**
 * ʸ󤫤ʤλΥɤե̾Ȥߤʤ
 * եɤǤ֤롣
 *
 * @author YOKOTA Hiroshi
 */
public class ArrayFileExtractor extends ArrayList<String> {

	static final long serialVersionUID = -6164734682308500124L;
	private String cExtractKey;

	/**
	 * @param key ΥץŸե̾򼨤ɽ
	 * ץʸ
	 * @param strs ץʸǼ
	 */
	public ArrayFileExtractor(String key, String strs[]) {
		super(Arrays.asList(strs));
		cExtractKey = key;
	}

	/**
	 * @param key ΥץŸե̾򼨤ɽ
	 * ץʸ
	 * @param objs ץʸǼ
	 */
	public ArrayFileExtractor(String key, ArrayList<String> objs) {
		super(objs);
		cExtractKey = key;
	}

	/**
	 * ե̾饪ץŸ롣
	 */
	private ArrayList<String> read_file(String filename) {
		BufferedReader fd;
		String line;
		ArrayList<String> ret = new ArrayList<String>();


		try {
			fd = new BufferedReader(new FileReader(filename));
		} catch(FileNotFoundException e) {
			throw new RuntimeException("File not found: " + filename);
		}

		try {
			while((line = fd.readLine()) != null) {
				// cut first spaces and blank lines
				line = line.replaceFirst("^\\s+", "");
				if (line.length() == 0) { continue; }

				ret.addAll(Arrays.asList(line.split("\\s+")));
			}

			fd.close();
		} catch(IOException e) {
			throw new RuntimeException("File read error: " + filename);
		}

		return ret;
	}

	/**
	 * Ÿץ ArrayList&lt;String&gt; η֤
	 */
	public ArrayList<String> toExtractedList() {
		ArrayList<String> ret = new ArrayList<String>();

		for (int i = 0; i < size(); i++) {
			if (get(i).equals(cExtractKey)) {
				ret.addAll(read_file(get(i + 1)));
				i++;
			} else {
				ret.add(get(i));
			}
		}

		return ret;
	}

	/**
	 * Ÿץ String[] η֤
	 */
	public String[] toExtractedArray() {
		return toExtractedList().toArray(new String[size()]);
	}

	/**
	 * Υ饹ñȤǸƤӽФݤγΥ᥽åɤѤ
	 * "-@" 򥭡ɤȤŸ롣
	 */
	public static void main(String args[]) {
		ArrayFileExtractor a = new ArrayFileExtractor("-@", args);

		for(String i: a.toExtractedArray()) {
			System.out.println(i);
		}
	}
}

/* end */
