#!/bin/sh
SRCDIR=$1
ISOFILENAME=$SRCDIR.iso
VOLUME=$SRCDIR
MKISOFSCMD=/usr/bin/mkisofs
LANG=C

if [ X"$1" = "X" ]; then
    echo "Usage:" $0 "<ReleaseDirName>"
    exit 1
fi


if [ ! -d ${SRCDIR} ]; then
    echo "${SRCDIR} was not found."
    exit 1
fi

if [ -f ${ISOFILENAME} ]; then
    echo "${ISOFILENAME} is already exist."
    exit 1
fi

cd ${SRCDIR}
${MKISOFSCMD} -d -D -N -R -T -J -hide-joliet-trans-tbl -V ${VOLUME} -volset ${VOLUME} -o ../${ISOFILENAME} .
